#!/usr/bin/env -S julia
@show ARGS  # Выведем аргументы, которые мы передали в наш скрипт

import Pkg
if all(["DataFrames", "CSV"] .∈ (keys(Pkg.project().dependencies),))
    using DataFrames
    using CSV
else 
    Pkg.add(["DataFrames","CSV"])
    using DataFrames
    using CSV
end

df = CSV.read(string(ARGS[1]), DataFrame);
@show df

for row in eachrow(dropmissing(df)) # рассматриваем только строки с полностью заполненными данными
    mkdir("$(row.Фамилия)")
    cd("$(row.Фамилия)")
    mkdir(string(ARGS[2]))
    # если у нас есть репозитории студентов, то они будут склонированы
    # run(`bash -c """git clone $(row.GitHub) .""" `)
    cd(@__DIR__)
end
cd(@__DIR__)

return 0